/*
** INFO.g
**
** Provides estimate of remaining running time
*/
proc(0)=info(it,nofits,tim);
  local meantime;

cls;
locate(2,5);
"Number of elapsed iterations: ";
locate(2,36); it;
locate(4,5);
"Elapsed time: ";
locate(4,43); etstr(ethsec(tim,date));
locate(6,5);
meantime = ethsec(tim,date)/it;
"Time per iteration: ";
locate(6,43); etstr(meantime);
locate(8,5);
"Number of iterations to go: ";
locate(8,36); nofits-it;
locate(10,5);
"Estimate of remaining time: ";
locate(10,43); etstr(meantime*(nofits-it));
endp;


